#include <stdio.h>

#define D(x) 

int p1,p5,p10,p25;
int c1,c5,c10,c25;
int MM;

int rup(int *N, int t1, int t5, int t10, int t25)
{
	/* if ((*N % 50)==0) return 1; REM!!! OK*/

	if ((c1 >= t1*MM) && (c5 >= t5*MM) && (c10 >= t10*MM) && (c25 >= t25*MM))
	{
		int Nsave = *N;
		c1 -= t1*MM; c5 -= t5*MM; c10 -= t10*MM; c25 -= t25*MM;
		p1 += t1*MM; p5 += t5*MM; p10 += t10*MM; p25 += t25*MM;
		*N -= t1*MM + 5*t5*MM + 10*t10*MM + 25*t25*MM;
		D(printf("[MM: %d; %d->%d] (1)%d-%d=%d, (5):%d-%d=%d, (10):%d-%d=%d, (25):%d-%d=%d)\n", 
				MM, Nsave, *N, 
				c1+t1*MM, t1*MM, c1, 
				c5+t5*MM, t5*MM, c5, 
				c10+t10*MM, t10*MM, c10, 
				c25+t25*MM, t25*MM, c25
		 ));
		D(printf("[pay: %d %d %d %d]\n", p1, p5, p10, p25));
		return 1;/*OK*/
	}
	return 0; /*nok*/
}

int roundup(int *N)
{
	/* first roundup N%50 */
	/* modify the counts and the pays too */
	switch(*N % 50)
	{
		/*trimmed!*/
		default:	
			break;
	}
	return (*N%50)==0;
}

int waste(int *N)
{
	/*throw in as much coins as possible respecting the layout*/
	while (1)
	{
		/*trimmed!*/
			if (rup(N,0,0,0,2)) break; /*0,0,0,50*/

	D(printf("[unable (N=%d)]\n",*N));
	return 0; /*UNABLE*/
	}
	return 1; /*OK*/
}
int upd(int *ca, int *cb, int *pa, int *pb, int va, int vb, int mula, int mulb)
{
	int payb = *pb/mulb;
	int havea = *ca/mula;
	int min = (havea < payb) ? havea:payb;

	D(printf("[  before using: %d of %d (%d), %d of %d (%d)]\n", *pa, *pa+*ca, va, *pb, *pb+*cb, vb));
	*pa += min * mula;
	*pb -= min * mulb;
	*ca -= min * mula;
	*cb += min * mulb;
	D(printf("[  AFTER using: %d of %d (%d), %d of %d (%d), moved %d]\n", *pa, *pa+*ca, va, *pb, *pb+*cb, vb, min));
	return min;
}

int main(void)
{
	int N;
	
	while (1)
	{
		int bad = 0;
		scanf("%d %d %d %d %d", &N, &c1,&c5,&c10,&c25);
		D(printf("[SCANNED: %d %d %d %d %d]\n", N,c1,c5,c10,c25));
		if (!(N|c1|c5|c10|c25)) break; /*done*/
		p1=p5=p10=p25=0;

		MM = 1; /*for rup*/
		if (!roundup(&N)) bad = 1;
		else 
		{
			MM = N / 50;
			while (MM > 0)
			{
				D(printf("wasting N=%d, 1:%d, 5:%d, 10:%d, 25:%d  with %d\n",N,c1,c5,c10,c25,MM));
				if (!waste(&N)) MM = MM/2;
				/* if wasted OK, try again */
				if (N == 0) break;
				/* done */
			}
			
			MM = 1;
			if (N == 0)
			{
				int moved;
				int op1=p1,op5=p5,op10=p10,op25=p25;
				do
				{
				/* now try to pay some bigger with smaller.. */
					moved = 0;
					op1=p1,op5=p5,op10=p10,op25=p25;
					if (p25>1)
					{
						N = 50; p25-=2; c25+=2;
						if (waste(&N)) moved = 1;
						else { p25+=2; c25-=2; }
					}
					if (p25>0)
					{
						N = 25; p25--; c25++;
						if (roundup(&N)) moved = 1;
						else { p25++; c25--; }
					}		
					if (p10>0)
					{
						N = 10; p10--; c10++;
						if (roundup(&N)) moved = 1;
						else { p10++; c10--; }
					}
					if (p5>0)
					{
						N = 5; p5--; c5++;
						if (roundup(&N)) moved = 1;
						else { p5++; c5--; }
					}	
				
				} while (moved && (
						(op1 != p1) ||
						(op5 != p5) ||
						(op10 != p10) ||
						(op25 != p25)
						  ));
				
				printf("Throw in %d cents, %d nickels, %d dimes, and %d quarters.\n", p1, p5, p10, p25);
			}
			else bad = 1;
		}
		if (bad)
		{
			printf("Charlie cannot buy coffee.\n");
		}
	}

	return 0;
}

